using System;
using System.Windows.Forms;

namespace Serial_Communicator
{
	/// <summary>
	/// Summary description for OpenPortEventArgs.
	/// </summary>
	public class OpenPortEventArgs : EventArgs
	{
		private int portNum;
		private MenuItem parent;

		public int PortNum
		{
			get
			{
				return this.portNum;
			}
		}

		public MenuItem Parent
		{
			get
			{
				return this.parent;
			}
		}

		public OpenPortEventArgs(int portNum, MenuItem parent)
		{
			this.portNum = portNum;
			this.parent = parent;
		}
	}
}
